image: registry.gitlab.com/agogpixel/devops/docker/dind-host:19.03.1

stages:
  - test

variables:
  http_proxy: ""
  https_proxy: ""
  no_proxy: ""
  DOCKER_TLS_CERTDIR: "/certs"

services:
  - docker:19.03.5-dind

test:
  stage: test
  script: make test
  coverage: '/\(\d+\.\d+%\)\s*covered.$/'
  except:
    - tags
  artifacts:
    paths:
      - coverage/
